package com.steering.pss.qcm;

import java.util.ArrayList;
import CoreFS.SA06.CoreReturnObject;

import com.steering.comm.db.DBCommon;


/**
 * 平台的使用类都必须继承自平台的CoreIComponent类
 * 
 * @author 2014/09/24
 * @version v1.0
 * @modify
 */
public class CoreProducCHEMBIASC extends DBCommon {  
    public CoreReturnObject doQuery(Boolean includeDeleted) {
        String deletedFlag = includeDeleted ? "0" : "";
        Object[] params = new Object[] { deletedFlag};
        return this.getDataBySqlID("CoreProcessCHEMBIASC.QUERY", params);
    }
    
    public CoreReturnObject doAdd(ArrayList<Object> parms) {
        return this.setDataBySqlID("CoreProcessCHEMBIASC.ADD", parms.toArray());
    }
    
    public CoreReturnObject doUpdate(ArrayList<Object> parms) {
        return this.setDataBySqlID("CoreProcessCHEMBIASC.doUpdate", parms.toArray());
    }
    
    public CoreReturnObject deleteLineInfo(ArrayList<Object> parms,
            Boolean isDelete) {
            if (isDelete) {
                return this.setDataBySqlID("CoreProcessCHEMBIASC.DELETE", parms.toArray());
            } else {
                return this.setDataBySqlID("CoreProcessCHEMBIASC.RESUME", parms.toArray());
            }
        }
}
